Skip to main content

Get customer voucher by ID

GET /v1/public/customers/{customerId}/vouchers/{voucherId}

Returns one voucher instance belonging to the specified customer.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
voucherIdpathstringYesThe customer voucher instance's returned id or externalId, not its template ID.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/vouchers/66c735e253f2836fbe941239" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customer voucher retrieved.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.